Real Time Open Sound Control librtosc: rtosc::ThreadLink Class Reference

Real Time Open Sound Control librtosc

Loading...
Searching...
No Matches
Public Member Functions | List of all members
rtosc::ThreadLink Class Reference

ThreadLink - A simple wrapper around jack's ringbuffers desinged to make sending messages via rt-osc trivial. More...

`#include <thread-link.h>`

## Public Member Functions
| ThreadLink (size_t max_message_length, size_t max_messages)
void | write (const char *dest, const char *args,...)
| Write message to ringbuffer.
void | writeArray (const char *dest, const char *args, const rtosc_arg_t *aargs)
| Write an arary of arguments to ringbuffer.
void | raw_write (const char *msg)
| Directly write message to ringbuffer.
bool | hasNext (void) const
msg_t | read (void)
| Read a new message from the ringbuffer.
msg_t | peak (void) const
| Peak at last message read without reading another.
char * | buffer (void)
| Raw write buffer access for more complicated task.
size_t | buffer_size (void) const
| Access to write buffer length.

## Detailed Description

ThreadLink - A simple wrapper around jack's ringbuffers desinged to make sending messages via rt-osc trivial.

This class provides the basics of reading and writing events via fixed sized buffers, which can be specified at compile time.

## Member Function Documentation

## ◆ hasNext()

bool rtosc::ThreadLink::hasNext | ( | void |  | ) | const

Returns
  true iff there is another message to be read in the buffer

## ◆ write()

void rtosc::ThreadLink::write | ( | const char * | dest,
|  | const char * | args,
|  |  | ...
| ) |  |

Write message to ringbuffer.

See also
  rtosc_message()

## ◆ writeArray()

void rtosc::ThreadLink::writeArray | ( | const char * | dest,
|  | const char * | args,
|  | const rtosc_arg_t * | aargs
| ) |  |

Write an arary of arguments to ringbuffer.

See also
  rtosc_amessage()

The documentation for this class was generated from the following file:

- /build/rtosc/src/rtosc-0.3.1/include/rtosc/thread-link.h